<?php

namespace Vidgyor\Livefeed;

use DB;
use Illuminate\Database\Seeder;

class LiveFeedTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('live_feeds')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'livefeed.live_feed.view',
                'name'      => 'View LiveFeed',
            ],
            [
                'slug'      => 'livefeed.live_feed.create',
                'name'      => 'Create LiveFeed',
            ],
            [
                'slug'      => 'livefeed.live_feed.edit',
                'name'      => 'Update LiveFeed',
            ],
            [
                'slug'      => 'livefeed.live_feed.delete',
                'name'      => 'Delete LiveFeed',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/livefeed/live_feed',
                'name'        => 'LiveFeed',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/livefeed/live_feed',
                'name'        => 'LiveFeed',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'live_feed',
                'name'        => 'LiveFeed',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Livefeed',
                'module'    => 'LiveFeed',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'livefeed.live_feed.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
